<?xml version="1.0" encoding="UTF-8"?>

<FLOW VERSION="3.0" CLEANUP="true">
  <COMMENT></COMMENT>

  <!-- nodes -->

<SEQUENCE TIMEOUT="" EXIT-ON="FAILURE" FORM="TRY">
  <COMMENT></COMMENT>

  <!-- nodes -->

<MAP TIMEOUT="" MODE="STANDALONE">
  <COMMENT>init</COMMENT>
  <MAPTARGET>

<Values version="2.0">
  <record name="xml" javaclass="com.wm.util.Values">
    <value name="node_type">record</value>
    <value name="node_subtype">unknown</value>
    <value name="is_public">false</value>
    <value name="field_type">record</value>
    <value name="field_dim">0</value>
    <value name="nillable">true</value>
    <value name="form_qualified">false</value>
    <value name="is_global">false</value>
    <array name="rec_fields" type="record" depth="1">
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="is_public">false</value>
        <value name="field_name">_init</value>
        <value name="field_type">record</value>
        <value name="field_dim">0</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
        <array name="rec_fields" type="record" depth="1">
          <record javaclass="com.wm.util.Values">
            <value name="node_type">unknown</value>
            <value name="node_subtype">unknown</value>
            <value name="is_public">false</value>
            <value name="field_name">connectionAliasName</value>
            <value name="field_type">string</value>
            <value name="field_dim">0</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">unknown</value>
            <value name="node_subtype">unknown</value>
            <value name="is_public">false</value>
            <value name="field_name">destinationName</value>
            <value name="field_type">string</value>
            <value name="field_dim">0</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">unknown</value>
            <value name="node_subtype">unknown</value>
            <value name="is_public">false</value>
            <value name="field_name">destinationType</value>
            <value name="field_type">string</value>
            <value name="field_dim">0</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">unknown</value>
            <value name="node_subtype">unknown</value>
            <value name="is_public">false</value>
            <value name="field_name">destinationNameReplyTo</value>
            <value name="field_type">string</value>
            <value name="field_dim">0</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">unknown</value>
            <value name="node_subtype">unknown</value>
            <value name="is_public">false</value>
            <value name="field_name">destinationTypeReplyTo</value>
            <value name="field_type">string</value>
            <value name="field_dim">0</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
          </record>
        </array>
        <value name="modifiable">true</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">JMSMessage</value>
        <value name="field_type">record</value>
        <value name="field_dim">0</value>
        <value name="wrapper_type">IData</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
        <array name="rec_fields" type="record" depth="1">
        </array>
        <value name="modifiable">true</value>
      </record>
    </array>
    <value name="modifiable">true</value>
  </record>
</Values>
</MAPTARGET>
  <MAPSOURCE>

<Values version="2.0">
  <record name="xml" javaclass="com.wm.util.Values">
    <value name="node_type">record</value>
    <value name="node_subtype">unknown</value>
    <value name="is_public">false</value>
    <value name="field_type">record</value>
    <value name="field_dim">0</value>
    <value name="nillable">true</value>
    <value name="form_qualified">false</value>
    <value name="is_global">false</value>
    <array name="rec_fields" type="record" depth="1">
      <record javaclass="com.wm.util.Values">
        <value name="node_type">unknown</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_usereditable">true</value>
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">destinationName</value>
        <value name="field_type">string</value>
        <value name="field_dim">0</value>
        <array name="field_options" type="value" depth="1">
        </array>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">unknown</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_usereditable">true</value>
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">destinationType</value>
        <value name="field_type">string</value>
        <value name="field_dim">0</value>
        <value name="field_opt">true</value>
        <array name="field_options" type="value" depth="1">
          <value>QUEUE</value>
          <value>TOPIC</value>
        </array>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">unknown</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_usereditable">true</value>
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">destinationNameReplyTo</value>
        <value name="field_type">string</value>
        <value name="field_dim">0</value>
        <value name="field_opt">true</value>
        <array name="field_options" type="value" depth="1">
        </array>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">unknown</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_usereditable">true</value>
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">destinationTypeReplyTo</value>
        <value name="field_type">string</value>
        <value name="field_dim">0</value>
        <value name="field_opt">true</value>
        <array name="field_options" type="value" depth="1">
          <value>QUEUE</value>
          <value>TOPIC</value>
        </array>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">JMSMessage</value>
        <value name="field_type">record</value>
        <value name="field_dim">0</value>
        <value name="wrapper_type">IData</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
        <array name="rec_fields" type="record" depth="1">
        </array>
        <value name="modifiable">true</value>
      </record>
    </array>
    <value name="modifiable">true</value>
  </record>
</Values>
</MAPSOURCE>

  <!-- nodes -->

<MAPCOPY FROM="/destinationName;1;0" TO="/_init;2;0/destinationName;1;0">
</MAPCOPY>

<MAPCOPY FROM="/destinationType;1;0" TO="/_init;2;0/destinationType;1;0">
</MAPCOPY>

<MAPDELETE FIELD="/destinationName;1;0">
</MAPDELETE>

<MAPDELETE FIELD="/destinationType;1;0">
</MAPDELETE>

<MAPCOPY FROM="/destinationNameReplyTo;1;0" TO="/_init;2;0/destinationNameReplyTo;1;0">
</MAPCOPY>

<MAPCOPY FROM="/destinationTypeReplyTo;1;0" TO="/_init;2;0/destinationTypeReplyTo;1;0">
</MAPCOPY>

<MAPDELETE FIELD="/destinationNameReplyTo;1;0">
</MAPDELETE>

<MAPDELETE FIELD="/destinationTypeReplyTo;1;0">
</MAPDELETE>

<MAPSET NAME="Setter" OVERWRITE="true" VARIABLES="false" GLOBALVARIABLES="false" FIELD="/_init;2;0/connectionAliasName;1;0">
  <DATA ENCODING="XMLValues" I18N="true">

<Values version="2.0">
  <value name="xml">JMS_CONNECTION</value>
  <record name="type" javaclass="com.wm.util.Values">
    <value name="node_type">unknown</value>
    <value name="node_subtype">unknown</value>
    <value name="is_public">false</value>
    <value name="field_name">connectionAliasName</value>
    <value name="field_type">string</value>
    <value name="field_dim">0</value>
    <value name="nillable">true</value>
    <value name="form_qualified">false</value>
    <value name="is_global">false</value>
  </record>
</Values>
</DATA>
</MAPSET>
</MAP>

<INVOKE TIMEOUT="" SERVICE="pub.jms:sendAndWait" VALIDATE-IN="$none" VALIDATE-OUT="$none">
  <COMMENT></COMMENT>

  <!-- nodes -->

<MAP MODE="INPUT">
  <MAPTARGET>

<Values version="2.0">
  <record name="xml" javaclass="com.wm.util.Values">
    <value name="node_type">record</value>
    <value name="node_subtype">unknown</value>
    <value name="is_public">false</value>
    <value name="field_name">sendAndWaitInput</value>
    <value name="field_type">record</value>
    <value name="field_dim">0</value>
    <value name="nillable">true</value>
    <value name="form_qualified">false</value>
    <value name="is_global">false</value>
    <array name="rec_fields" type="record" depth="1">
      <record javaclass="com.wm.util.Values">
        <value name="node_type">unknown</value>
        <value name="node_subtype">unknown</value>
        <value name="is_public">false</value>
        <value name="field_name">connectionAliasName</value>
        <value name="field_type">string</value>
        <value name="field_dim">0</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">unknown</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <null name="field_usereditable"/>
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">destinationName</value>
        <value name="field_type">string</value>
        <value name="field_dim">0</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">unknown</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <null name="field_usereditable"/>
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">destinationType</value>
        <value name="field_type">string</value>
        <value name="field_dim">0</value>
        <value name="field_opt">true</value>
        <array name="field_options" type="value" depth="1">
          <value>QUEUE</value>
          <value>TOPIC</value>
        </array>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">unknown</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <null name="field_usereditable"/>
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">destinationNameReplyTo</value>
        <value name="field_type">string</value>
        <value name="field_dim">0</value>
        <value name="field_opt">true</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">unknown</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <null name="field_usereditable"/>
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">destinationTypeReplyTo</value>
        <value name="field_type">string</value>
        <value name="field_dim">0</value>
        <value name="field_opt">true</value>
        <array name="field_options" type="value" depth="1">
          <value>QUEUE</value>
          <value>TOPIC</value>
        </array>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">timeout</value>
        <value name="field_type">object</value>
        <value name="field_dim">0</value>
        <value name="field_opt">true</value>
        <value name="wrapper_type">java.lang.Long</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">JMSMessage</value>
        <value name="field_type">record</value>
        <value name="field_dim">0</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
        <array name="rec_fields" type="record" depth="1">
        </array>
        <value name="modifiable">true</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">async</value>
        <value name="field_type">object</value>
        <value name="field_dim">0</value>
        <value name="field_opt">true</value>
        <value name="wrapper_type">java.lang.Boolean</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">useCSQ</value>
        <value name="field_type">object</value>
        <value name="field_dim">0</value>
        <value name="field_opt">true</value>
        <value name="wrapper_type">java.lang.Boolean</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
    </array>
    <value name="modifiable">true</value>
  </record>
</Values>
</MAPTARGET>
  <MAPSOURCE>

<Values version="2.0">
  <record name="xml" javaclass="com.wm.util.Values">
    <value name="node_type">record</value>
    <value name="node_subtype">unknown</value>
    <value name="is_public">false</value>
    <value name="field_type">record</value>
    <value name="field_dim">0</value>
    <value name="nillable">true</value>
    <value name="form_qualified">false</value>
    <value name="is_global">false</value>
    <array name="rec_fields" type="record" depth="1">
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="is_public">false</value>
        <value name="field_name">_init</value>
        <value name="field_type">record</value>
        <value name="field_dim">0</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
        <array name="rec_fields" type="record" depth="1">
          <record javaclass="com.wm.util.Values">
            <value name="node_type">unknown</value>
            <value name="node_subtype">unknown</value>
            <value name="is_public">false</value>
            <value name="field_name">connectionAliasName</value>
            <value name="field_type">string</value>
            <value name="field_dim">0</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">unknown</value>
            <value name="node_subtype">unknown</value>
            <value name="is_public">false</value>
            <value name="field_name">destinationName</value>
            <value name="field_type">string</value>
            <value name="field_dim">0</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">unknown</value>
            <value name="node_subtype">unknown</value>
            <value name="is_public">false</value>
            <value name="field_name">destinationType</value>
            <value name="field_type">string</value>
            <value name="field_dim">0</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">unknown</value>
            <value name="node_subtype">unknown</value>
            <value name="is_public">false</value>
            <value name="field_name">destinationNameReplyTo</value>
            <value name="field_type">string</value>
            <value name="field_dim">0</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">unknown</value>
            <value name="node_subtype">unknown</value>
            <value name="is_public">false</value>
            <value name="field_name">destinationTypeReplyTo</value>
            <value name="field_type">string</value>
            <value name="field_dim">0</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
          </record>
        </array>
        <value name="modifiable">true</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">JMSMessage</value>
        <value name="field_type">record</value>
        <value name="field_dim">0</value>
        <value name="wrapper_type">IData</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
        <array name="rec_fields" type="record" depth="1">
        </array>
        <value name="modifiable">true</value>
      </record>
    </array>
    <value name="modifiable">true</value>
  </record>
</Values>
</MAPSOURCE>

  <!-- nodes -->

<MAPCOPY FROM="/_init;2;0/connectionAliasName;1;0" TO="/connectionAliasName;1;0">
</MAPCOPY>

<MAPCOPY FROM="/_init;2;0/destinationName;1;0" TO="/destinationName;1;0">
</MAPCOPY>

<MAPCOPY FROM="/_init;2;0/destinationType;1;0" TO="/destinationType;1;0">
</MAPCOPY>

<MAPCOPY FROM="/_init;2;0/destinationNameReplyTo;1;0" TO="/destinationNameReplyTo;1;0">
</MAPCOPY>

<MAPCOPY FROM="/_init;2;0/destinationTypeReplyTo;1;0" TO="/destinationTypeReplyTo;1;0">
</MAPCOPY>

<MAPSET NAME="Setter" OVERWRITE="true" VARIABLES="false" GLOBALVARIABLES="false" FIELD="/async;3.1;0">
  <DATA ENCODING="XMLValues" I18N="true">

<Values version="2.0">
  <Boolean name="xml">false</Boolean>
  <record name="type" javaclass="com.wm.util.Values">
    <value name="node_type">record</value>
    <value name="node_subtype">unknown</value>
    <value name="node_comment"></value>
    <record name="node_hints" javaclass="com.wm.util.Values">
      <value name="field_largerEditor">false</value>
      <value name="field_password">false</value>
    </record>
    <value name="is_public">false</value>
    <value name="field_name">async</value>
    <value name="field_type">object</value>
    <value name="field_dim">0</value>
    <value name="field_opt">true</value>
    <value name="wrapper_type">java.lang.Boolean</value>
    <value name="nillable">true</value>
    <value name="form_qualified">false</value>
    <value name="is_global">false</value>
  </record>
</Values>
</DATA>
</MAPSET>
</MAP>

<MAP MODE="OUTPUT">
  <MAPTARGET>

<Values version="2.0">
  <record name="xml" javaclass="com.wm.util.Values">
    <value name="node_type">record</value>
    <value name="node_subtype">unknown</value>
    <value name="is_public">false</value>
    <value name="field_type">record</value>
    <value name="field_dim">0</value>
    <value name="nillable">true</value>
    <value name="form_qualified">false</value>
    <value name="is_global">false</value>
    <array name="rec_fields" type="record" depth="1">
      <record javaclass="com.wm.util.Values">
        <value name="node_type">unknown</value>
        <value name="node_subtype">unknown</value>
        <value name="is_public">false</value>
        <value name="field_name">connectionAliasName</value>
        <value name="field_type">string</value>
        <value name="field_dim">0</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">unknown</value>
        <value name="node_subtype">unknown</value>
        <value name="is_public">false</value>
        <value name="field_name">destinationName</value>
        <value name="field_type">string</value>
        <value name="field_dim">0</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">unknown</value>
        <value name="node_subtype">unknown</value>
        <value name="is_public">false</value>
        <value name="field_name">destinationType</value>
        <value name="field_type">string</value>
        <value name="field_dim">0</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">unknown</value>
        <value name="node_subtype">unknown</value>
        <value name="is_public">false</value>
        <value name="field_name">destinationNameReplyTo</value>
        <value name="field_type">string</value>
        <value name="field_dim">0</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">unknown</value>
        <value name="node_subtype">unknown</value>
        <value name="is_public">false</value>
        <value name="field_name">destinationTypeReplyTo</value>
        <value name="field_type">string</value>
        <value name="field_dim">0</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="is_public">false</value>
        <value name="field_name">_init</value>
        <value name="field_type">record</value>
        <value name="field_dim">0</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
        <array name="rec_fields" type="record" depth="1">
          <record javaclass="com.wm.util.Values">
            <value name="node_type">unknown</value>
            <value name="node_subtype">unknown</value>
            <value name="is_public">false</value>
            <value name="field_name">connectionAliasName</value>
            <value name="field_type">string</value>
            <value name="field_dim">0</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">unknown</value>
            <value name="node_subtype">unknown</value>
            <value name="is_public">false</value>
            <value name="field_name">destinationName</value>
            <value name="field_type">string</value>
            <value name="field_dim">0</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">unknown</value>
            <value name="node_subtype">unknown</value>
            <value name="is_public">false</value>
            <value name="field_name">destinationType</value>
            <value name="field_type">string</value>
            <value name="field_dim">0</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">unknown</value>
            <value name="node_subtype">unknown</value>
            <value name="is_public">false</value>
            <value name="field_name">destinationNameReplyTo</value>
            <value name="field_type">string</value>
            <value name="field_dim">0</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">unknown</value>
            <value name="node_subtype">unknown</value>
            <value name="is_public">false</value>
            <value name="field_name">destinationTypeReplyTo</value>
            <value name="field_type">string</value>
            <value name="field_dim">0</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
          </record>
        </array>
        <value name="modifiable">true</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">JMSMessage</value>
        <value name="field_type">record</value>
        <value name="field_dim">0</value>
        <value name="wrapper_type">IData</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
        <array name="rec_fields" type="record" depth="1">
        </array>
        <value name="modifiable">true</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">unknown</value>
        <value name="node_subtype">unknown</value>
        <value name="is_public">false</value>
        <value name="field_name">async</value>
        <value name="field_type">object</value>
        <value name="field_dim">0</value>
        <value name="wrapper_type">java.lang.Boolean</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">JMSReplyMessage</value>
        <value name="field_type">record</value>
        <value name="field_dim">0</value>
        <value name="field_opt">true</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
        <array name="rec_fields" type="record" depth="1">
          <record javaclass="com.wm.util.Values">
            <value name="node_type">record</value>
            <value name="node_subtype">unknown</value>
            <value name="node_comment"></value>
            <record name="node_hints" javaclass="com.wm.util.Values">
              <value name="field_largerEditor">false</value>
              <value name="field_password">false</value>
            </record>
            <value name="is_public">false</value>
            <value name="field_name">header</value>
            <value name="field_type">record</value>
            <value name="field_dim">0</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
            <array name="rec_fields" type="record" depth="1">
            </array>
            <value name="modifiable">true</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">record</value>
            <value name="node_subtype">unknown</value>
            <value name="node_comment"></value>
            <record name="node_hints" javaclass="com.wm.util.Values">
              <value name="field_largerEditor">false</value>
              <value name="field_password">false</value>
            </record>
            <value name="is_public">false</value>
            <value name="field_name">properties</value>
            <value name="field_type">record</value>
            <value name="field_dim">0</value>
            <value name="field_opt">true</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
            <array name="rec_fields" type="record" depth="1">
            </array>
            <value name="modifiable">true</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">record</value>
            <value name="node_subtype">unknown</value>
            <value name="node_comment"></value>
            <record name="node_hints" javaclass="com.wm.util.Values">
              <value name="field_largerEditor">false</value>
              <value name="field_password">false</value>
            </record>
            <value name="is_public">false</value>
            <value name="field_name">body</value>
            <value name="field_type">record</value>
            <value name="field_dim">0</value>
            <value name="field_opt">true</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
            <array name="rec_fields" type="record" depth="1">
            </array>
            <value name="modifiable">true</value>
          </record>
        </array>
        <value name="modifiable">true</value>
      </record>
    </array>
    <value name="modifiable">true</value>
  </record>
</Values>
</MAPTARGET>
  <MAPSOURCE>

<Values version="2.0">
  <record name="xml" javaclass="com.wm.util.Values">
    <value name="node_type">record</value>
    <value name="node_subtype">unknown</value>
    <value name="is_public">false</value>
    <value name="field_name">sendAndWaitOutput</value>
    <value name="field_type">record</value>
    <value name="field_dim">0</value>
    <value name="nillable">true</value>
    <value name="form_qualified">false</value>
    <value name="is_global">false</value>
    <array name="rec_fields" type="record" depth="1">
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">JMSMessage</value>
        <value name="field_type">record</value>
        <value name="field_dim">0</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
        <array name="rec_fields" type="record" depth="1">
        </array>
        <value name="modifiable">true</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">JMSReplyMessage</value>
        <value name="field_type">record</value>
        <value name="field_dim">0</value>
        <value name="field_opt">true</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
        <array name="rec_fields" type="record" depth="1">
          <record javaclass="com.wm.util.Values">
            <value name="node_type">record</value>
            <value name="node_subtype">unknown</value>
            <value name="node_comment"></value>
            <record name="node_hints" javaclass="com.wm.util.Values">
              <value name="field_largerEditor">false</value>
              <value name="field_password">false</value>
            </record>
            <value name="is_public">false</value>
            <value name="field_name">header</value>
            <value name="field_type">record</value>
            <value name="field_dim">0</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
            <array name="rec_fields" type="record" depth="1">
            </array>
            <value name="modifiable">true</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">record</value>
            <value name="node_subtype">unknown</value>
            <value name="node_comment"></value>
            <record name="node_hints" javaclass="com.wm.util.Values">
              <value name="field_largerEditor">false</value>
              <value name="field_password">false</value>
            </record>
            <value name="is_public">false</value>
            <value name="field_name">properties</value>
            <value name="field_type">record</value>
            <value name="field_dim">0</value>
            <value name="field_opt">true</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
            <array name="rec_fields" type="record" depth="1">
            </array>
            <value name="modifiable">true</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">record</value>
            <value name="node_subtype">unknown</value>
            <value name="node_comment"></value>
            <record name="node_hints" javaclass="com.wm.util.Values">
              <value name="field_largerEditor">false</value>
              <value name="field_password">false</value>
            </record>
            <value name="is_public">false</value>
            <value name="field_name">body</value>
            <value name="field_type">record</value>
            <value name="field_dim">0</value>
            <value name="field_opt">true</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
            <array name="rec_fields" type="record" depth="1">
            </array>
            <value name="modifiable">true</value>
          </record>
        </array>
        <value name="modifiable">true</value>
      </record>
    </array>
    <value name="modifiable">true</value>
  </record>
</Values>
</MAPSOURCE>

  <!-- nodes -->

<MAPDELETE FIELD="/connectionAliasName;1;0">
</MAPDELETE>

<MAPDELETE FIELD="/destinationName;1;0">
</MAPDELETE>

<MAPDELETE FIELD="/destinationType;1;0">
</MAPDELETE>

<MAPDELETE FIELD="/_init;2;0">
</MAPDELETE>

<MAPDELETE FIELD="/destinationNameReplyTo;1;0">
</MAPDELETE>

<MAPDELETE FIELD="/destinationTypeReplyTo;1;0">
</MAPDELETE>

<MAPDELETE FIELD="/async;3.1;0">
</MAPDELETE>

<MAPDELETE FIELD="/JMSReplyMessage;2;0">
</MAPDELETE>
</MAP>
</INVOKE>

<INVOKE TIMEOUT="" SERVICE="pub.jms:waitForReply" VALIDATE-IN="$none" VALIDATE-OUT="$none">
  <COMMENT></COMMENT>

  <!-- nodes -->

<MAP MODE="INPUT">
  <MAPTARGET>

<Values version="2.0">
  <record name="xml" javaclass="com.wm.util.Values">
    <value name="node_type">record</value>
    <value name="node_subtype">unknown</value>
    <value name="is_public">false</value>
    <value name="field_name">waitForReplyInput</value>
    <value name="field_type">record</value>
    <value name="field_dim">0</value>
    <value name="nillable">true</value>
    <value name="form_qualified">false</value>
    <value name="is_global">false</value>
    <array name="rec_fields" type="record" depth="1">
      <record javaclass="com.wm.util.Values">
        <value name="node_type">unknown</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <null name="field_usereditable"/>
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">correlationID</value>
        <value name="field_type">string</value>
        <value name="field_dim">0</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">timeout</value>
        <value name="field_type">object</value>
        <value name="field_dim">0</value>
        <value name="field_opt">true</value>
        <value name="wrapper_type">java.lang.Long</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
    </array>
    <value name="modifiable">true</value>
  </record>
</Values>
</MAPTARGET>
  <MAPSOURCE>

<Values version="2.0">
  <record name="xml" javaclass="com.wm.util.Values">
    <value name="node_type">record</value>
    <value name="node_subtype">unknown</value>
    <value name="is_public">false</value>
    <value name="field_type">record</value>
    <value name="field_dim">0</value>
    <value name="nillable">true</value>
    <value name="form_qualified">false</value>
    <value name="is_global">false</value>
    <array name="rec_fields" type="record" depth="1">
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">JMSMessage</value>
        <value name="field_type">record</value>
        <value name="field_dim">0</value>
        <value name="wrapper_type">IData</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
        <array name="rec_fields" type="record" depth="1">
          <record javaclass="com.wm.util.Values">
            <value name="node_type">record</value>
            <value name="node_subtype">unknown</value>
            <value name="node_comment"></value>
            <record name="node_hints" javaclass="com.wm.util.Values">
              <value name="field_largerEditor">false</value>
              <value name="field_password">false</value>
            </record>
            <value name="is_public">false</value>
            <value name="field_name">header</value>
            <value name="field_type">record</value>
            <value name="field_dim">0</value>
            <value name="field_opt">true</value>
            <value name="wrapper_type">IData</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
            <array name="rec_fields" type="record" depth="1">
              <record javaclass="com.wm.util.Values">
                <value name="node_type">unknown</value>
                <value name="node_subtype">unknown</value>
                <value name="node_comment"></value>
                <record name="node_hints" javaclass="com.wm.util.Values">
                  <value name="field_usereditable">true</value>
                  <value name="field_largerEditor">false</value>
                  <value name="field_password">false</value>
                </record>
                <value name="is_public">false</value>
                <value name="field_name">deliveryMode</value>
                <value name="field_type">string</value>
                <value name="field_dim">0</value>
                <value name="field_opt">true</value>
                <array name="field_options" type="value" depth="1">
                  <value>PERSISTENT</value>
                  <value>NON_PERSISTENT</value>
                </array>
                <value name="nillable">true</value>
                <value name="form_qualified">false</value>
                <value name="is_global">false</value>
              </record>
              <record javaclass="com.wm.util.Values">
                <value name="node_type">record</value>
                <value name="node_subtype">unknown</value>
                <value name="node_comment"></value>
                <record name="node_hints" javaclass="com.wm.util.Values">
                  <value name="field_largerEditor">false</value>
                  <value name="field_password">false</value>
                </record>
                <value name="is_public">false</value>
                <value name="field_name">priority</value>
                <value name="field_type">object</value>
                <value name="field_dim">0</value>
                <value name="field_opt">true</value>
                <value name="wrapper_type">java.lang.Integer</value>
                <value name="nillable">true</value>
                <value name="form_qualified">false</value>
                <value name="is_global">false</value>
              </record>
              <record javaclass="com.wm.util.Values">
                <value name="node_type">record</value>
                <value name="node_subtype">unknown</value>
                <value name="node_comment"></value>
                <record name="node_hints" javaclass="com.wm.util.Values">
                  <value name="field_largerEditor">false</value>
                  <value name="field_password">false</value>
                </record>
                <value name="is_public">false</value>
                <value name="field_name">timeToLive</value>
                <value name="field_type">object</value>
                <value name="field_dim">0</value>
                <value name="field_opt">true</value>
                <value name="wrapper_type">java.lang.Long</value>
                <value name="nillable">true</value>
                <value name="form_qualified">false</value>
                <value name="is_global">false</value>
              </record>
              <record javaclass="com.wm.util.Values">
                <value name="node_type">record</value>
                <value name="node_subtype">unknown</value>
                <value name="node_comment"></value>
                <record name="node_hints" javaclass="com.wm.util.Values">
                  <value name="field_usereditable">true</value>
                  <value name="field_largerEditor">false</value>
                  <value name="field_password">false</value>
                </record>
                <value name="is_public">false</value>
                <value name="field_name">JMSType</value>
                <value name="field_type">string</value>
                <value name="field_dim">0</value>
                <array name="field_options" type="value" depth="1">
                </array>
                <value name="nillable">true</value>
                <value name="form_qualified">false</value>
                <value name="is_global">false</value>
              </record>
              <record javaclass="com.wm.util.Values">
                <value name="node_type">record</value>
                <value name="node_subtype">unknown</value>
                <value name="node_comment"></value>
                <record name="node_hints" javaclass="com.wm.util.Values">
                  <null name="field_usereditable"/>
                  <value name="field_largerEditor">false</value>
                  <value name="field_password">false</value>
                </record>
                <value name="is_public">false</value>
                <value name="field_name">JMSCorrelationID</value>
                <value name="field_type">string</value>
                <value name="field_dim">0</value>
                <value name="field_opt">true</value>
                <value name="nillable">true</value>
                <value name="form_qualified">false</value>
                <value name="is_global">false</value>
              </record>
              <record javaclass="com.wm.util.Values">
                <value name="node_type">record</value>
                <value name="node_subtype">unknown</value>
                <value name="node_comment"></value>
                <record name="node_hints" javaclass="com.wm.util.Values">
                  <value name="field_largerEditor">false</value>
                  <value name="field_password">false</value>
                </record>
                <value name="is_public">false</value>
                <value name="field_name">JMSDeliveryMode</value>
                <value name="field_type">object</value>
                <value name="field_dim">0</value>
                <value name="wrapper_type">java.lang.Integer</value>
                <value name="nillable">true</value>
                <value name="form_qualified">false</value>
                <value name="is_global">false</value>
              </record>
              <record javaclass="com.wm.util.Values">
                <value name="node_type">record</value>
                <value name="node_subtype">unknown</value>
                <value name="node_comment"></value>
                <record name="node_hints" javaclass="com.wm.util.Values">
                  <value name="field_largerEditor">false</value>
                  <value name="field_password">false</value>
                </record>
                <value name="is_public">false</value>
                <value name="field_name">JMSDestination</value>
                <value name="field_type">object</value>
                <value name="field_dim">0</value>
                <value name="nillable">true</value>
                <value name="form_qualified">false</value>
                <value name="is_global">false</value>
              </record>
              <record javaclass="com.wm.util.Values">
                <value name="node_type">record</value>
                <value name="node_subtype">unknown</value>
                <value name="node_comment"></value>
                <record name="node_hints" javaclass="com.wm.util.Values">
                  <value name="field_largerEditor">false</value>
                  <value name="field_password">false</value>
                </record>
                <value name="is_public">false</value>
                <value name="field_name">JMSExpiration</value>
                <value name="field_type">object</value>
                <value name="field_dim">0</value>
                <value name="wrapper_type">java.lang.Long</value>
                <value name="nillable">true</value>
                <value name="form_qualified">false</value>
                <value name="is_global">false</value>
              </record>
              <record javaclass="com.wm.util.Values">
                <value name="node_type">unknown</value>
                <value name="node_subtype">unknown</value>
                <value name="node_comment"></value>
                <record name="node_hints" javaclass="com.wm.util.Values">
                  <null name="field_usereditable"/>
                  <value name="field_largerEditor">false</value>
                  <value name="field_password">false</value>
                </record>
                <value name="is_public">false</value>
                <value name="field_name">JMSMessageID</value>
                <value name="field_type">string</value>
                <value name="field_dim">0</value>
                <value name="nillable">true</value>
                <value name="form_qualified">false</value>
                <value name="is_global">false</value>
              </record>
              <record javaclass="com.wm.util.Values">
                <value name="node_type">record</value>
                <value name="node_subtype">unknown</value>
                <value name="node_comment"></value>
                <record name="node_hints" javaclass="com.wm.util.Values">
                  <value name="field_largerEditor">false</value>
                  <value name="field_password">false</value>
                </record>
                <value name="is_public">false</value>
                <value name="field_name">JMSPriority</value>
                <value name="field_type">object</value>
                <value name="field_dim">0</value>
                <value name="wrapper_type">java.lang.Integer</value>
                <value name="nillable">true</value>
                <value name="form_qualified">false</value>
                <value name="is_global">false</value>
              </record>
              <record javaclass="com.wm.util.Values">
                <value name="node_type">record</value>
                <value name="node_subtype">unknown</value>
                <value name="node_comment"></value>
                <record name="node_hints" javaclass="com.wm.util.Values">
                  <value name="field_largerEditor">false</value>
                  <value name="field_password">false</value>
                </record>
                <value name="is_public">false</value>
                <value name="field_name">JMSReplyTo</value>
                <value name="field_type">object</value>
                <value name="field_dim">0</value>
                <value name="field_opt">true</value>
                <value name="nillable">true</value>
                <value name="form_qualified">false</value>
                <value name="is_global">false</value>
              </record>
              <record javaclass="com.wm.util.Values">
                <value name="node_type">record</value>
                <value name="node_subtype">unknown</value>
                <value name="node_comment"></value>
                <record name="node_hints" javaclass="com.wm.util.Values">
                  <value name="field_largerEditor">false</value>
                  <value name="field_password">false</value>
                </record>
                <value name="is_public">false</value>
                <value name="field_name">JMSTimestamp</value>
                <value name="field_type">object</value>
                <value name="field_dim">0</value>
                <value name="wrapper_type">java.lang.Long</value>
                <value name="nillable">true</value>
                <value name="form_qualified">false</value>
                <value name="is_global">false</value>
              </record>
            </array>
            <value name="modifiable">true</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">record</value>
            <value name="node_subtype">unknown</value>
            <value name="node_comment"></value>
            <record name="node_hints" javaclass="com.wm.util.Values">
              <value name="field_largerEditor">false</value>
              <value name="field_password">false</value>
            </record>
            <value name="is_public">false</value>
            <value name="field_name">properties</value>
            <value name="field_type">record</value>
            <value name="field_dim">0</value>
            <value name="field_opt">true</value>
            <value name="wrapper_type">IData</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
            <array name="rec_fields" type="record" depth="1">
            </array>
            <value name="modifiable">true</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">record</value>
            <value name="node_subtype">unknown</value>
            <value name="node_comment"></value>
            <record name="node_hints" javaclass="com.wm.util.Values">
              <value name="field_largerEditor">false</value>
              <value name="field_password">false</value>
            </record>
            <value name="is_public">false</value>
            <value name="field_name">body</value>
            <value name="field_type">record</value>
            <value name="field_dim">0</value>
            <value name="field_opt">true</value>
            <value name="wrapper_type">IData</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
            <array name="rec_fields" type="record" depth="1">
            </array>
            <value name="modifiable">true</value>
          </record>
        </array>
        <value name="modifiable">true</value>
      </record>
    </array>
    <value name="modifiable">true</value>
  </record>
</Values>
</MAPSOURCE>

  <!-- nodes -->

<MAPCOPY FROM="/JMSMessage;2;0/header;2;0/JMSMessageID;1;0" TO="/correlationID;1;0">
</MAPCOPY>
</MAP>

<MAP MODE="OUTPUT">
  <MAPTARGET>

<Values version="2.0">
  <record name="xml" javaclass="com.wm.util.Values">
    <value name="node_type">record</value>
    <value name="node_subtype">unknown</value>
    <value name="is_public">false</value>
    <value name="field_type">record</value>
    <value name="field_dim">0</value>
    <value name="nillable">true</value>
    <value name="form_qualified">false</value>
    <value name="is_global">false</value>
    <array name="rec_fields" type="record" depth="1">
      <record javaclass="com.wm.util.Values">
        <value name="node_type">unknown</value>
        <value name="node_subtype">unknown</value>
        <value name="is_public">false</value>
        <value name="field_name">correlationID</value>
        <value name="field_type">string</value>
        <value name="field_dim">0</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">JMSMessage</value>
        <value name="field_type">record</value>
        <value name="field_dim">0</value>
        <value name="wrapper_type">IData</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
        <array name="rec_fields" type="record" depth="1">
          <record javaclass="com.wm.util.Values">
            <value name="node_type">record</value>
            <value name="node_subtype">unknown</value>
            <value name="node_comment"></value>
            <record name="node_hints" javaclass="com.wm.util.Values">
              <value name="field_largerEditor">false</value>
              <value name="field_password">false</value>
            </record>
            <value name="is_public">false</value>
            <value name="field_name">header</value>
            <value name="field_type">record</value>
            <value name="field_dim">0</value>
            <value name="field_opt">true</value>
            <value name="wrapper_type">IData</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
            <array name="rec_fields" type="record" depth="1">
            </array>
            <value name="modifiable">true</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">record</value>
            <value name="node_subtype">unknown</value>
            <value name="node_comment"></value>
            <record name="node_hints" javaclass="com.wm.util.Values">
              <value name="field_largerEditor">false</value>
              <value name="field_password">false</value>
            </record>
            <value name="is_public">false</value>
            <value name="field_name">properties</value>
            <value name="field_type">record</value>
            <value name="field_dim">0</value>
            <value name="field_opt">true</value>
            <value name="wrapper_type">IData</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
            <array name="rec_fields" type="record" depth="1">
            </array>
            <value name="modifiable">true</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">record</value>
            <value name="node_subtype">unknown</value>
            <value name="node_comment"></value>
            <record name="node_hints" javaclass="com.wm.util.Values">
              <value name="field_largerEditor">false</value>
              <value name="field_password">false</value>
            </record>
            <value name="is_public">false</value>
            <value name="field_name">body</value>
            <value name="field_type">record</value>
            <value name="field_dim">0</value>
            <value name="field_opt">true</value>
            <value name="wrapper_type">IData</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
            <array name="rec_fields" type="record" depth="1">
            </array>
            <value name="modifiable">true</value>
          </record>
        </array>
        <value name="modifiable">true</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">JMSReplyMessage</value>
        <value name="field_type">record</value>
        <value name="field_dim">0</value>
        <value name="field_opt">true</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
        <array name="rec_fields" type="record" depth="1">
        </array>
        <value name="modifiable">true</value>
      </record>
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="is_public">false</value>
        <value name="field_name">data</value>
        <value name="field_type">record</value>
        <value name="field_dim">0</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
        <array name="rec_fields" type="record" depth="1">
        </array>
        <value name="modifiable">true</value>
      </record>
    </array>
    <value name="modifiable">true</value>
  </record>
</Values>
</MAPTARGET>
  <MAPSOURCE>

<Values version="2.0">
  <record name="xml" javaclass="com.wm.util.Values">
    <value name="node_type">record</value>
    <value name="node_subtype">unknown</value>
    <value name="is_public">false</value>
    <value name="field_name">waitForReplyOutput</value>
    <value name="field_type">record</value>
    <value name="field_dim">0</value>
    <value name="nillable">true</value>
    <value name="form_qualified">false</value>
    <value name="is_global">false</value>
    <array name="rec_fields" type="record" depth="1">
      <record javaclass="com.wm.util.Values">
        <value name="node_type">record</value>
        <value name="node_subtype">unknown</value>
        <value name="node_comment"></value>
        <record name="node_hints" javaclass="com.wm.util.Values">
          <value name="field_largerEditor">false</value>
          <value name="field_password">false</value>
        </record>
        <value name="is_public">false</value>
        <value name="field_name">JMSReplyMessage</value>
        <value name="field_type">record</value>
        <value name="field_dim">0</value>
        <value name="field_opt">true</value>
        <value name="nillable">true</value>
        <value name="form_qualified">false</value>
        <value name="is_global">false</value>
        <array name="rec_fields" type="record" depth="1">
          <record javaclass="com.wm.util.Values">
            <value name="node_type">record</value>
            <value name="node_subtype">unknown</value>
            <value name="node_comment"></value>
            <record name="node_hints" javaclass="com.wm.util.Values">
              <value name="field_largerEditor">false</value>
              <value name="field_password">false</value>
            </record>
            <value name="is_public">false</value>
            <value name="field_name">header</value>
            <value name="field_type">record</value>
            <value name="field_dim">0</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
            <array name="rec_fields" type="record" depth="1">
            </array>
            <value name="modifiable">true</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">record</value>
            <value name="node_subtype">unknown</value>
            <value name="node_comment"></value>
            <record name="node_hints" javaclass="com.wm.util.Values">
              <value name="field_largerEditor">false</value>
              <value name="field_password">false</value>
            </record>
            <value name="is_public">false</value>
            <value name="field_name">properties</value>
            <value name="field_type">record</value>
            <value name="field_dim">0</value>
            <value name="field_opt">true</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
            <array name="rec_fields" type="record" depth="1">
            </array>
            <value name="modifiable">true</value>
          </record>
          <record javaclass="com.wm.util.Values">
            <value name="node_type">record</value>
            <value name="node_subtype">unknown</value>
            <value name="node_comment"></value>
            <record name="node_hints" javaclass="com.wm.util.Values">
              <value name="field_largerEditor">false</value>
              <value name="field_password">false</value>
            </record>
            <value name="is_public">false</value>
            <value name="field_name">body</value>
            <value name="field_type">record</value>
            <value name="field_dim">0</value>
            <value name="field_opt">true</value>
            <value name="nillable">true</value>
            <value name="form_qualified">false</value>
            <value name="is_global">false</value>
            <array name="rec_fields" type="record" depth="1">
              <record javaclass="com.wm.util.Values">
                <value name="node_type">unknown</value>
                <value name="node_subtype">unknown</value>
                <value name="is_public">false</value>
                <value name="field_name">string</value>
                <value name="field_type">string</value>
                <value name="field_dim">0</value>
                <value name="field_opt">true</value>
                <value name="nillable">true</value>
                <value name="form_qualified">false</value>
                <value name="is_global">false</value>
              </record>
              <record javaclass="com.wm.util.Values">
                <value name="node_type">unknown</value>
                <value name="node_subtype">unknown</value>
                <value name="node_comment"></value>
                <record name="node_hints" javaclass="com.wm.util.Values">
                  <value name="field_largerEditor">false</value>
                  <value name="field_password">false</value>
                </record>
                <value name="is_public">false</value>
                <value name="field_name">bytes</value>
                <value name="field_type">object</value>
                <value name="field_dim">0</value>
                <value name="field_opt">true</value>
                <value name="wrapper_type">byte []</value>
                <value name="nillable">true</value>
                <value name="form_qualified">false</value>
                <value name="is_global">false</value>
              </record>
              <record javaclass="com.wm.util.Values">
                <value name="node_type">unknown</value>
                <value name="node_subtype">unknown</value>
                <value name="is_public">false</value>
                <value name="field_name">object</value>
                <value name="field_type">object</value>
                <value name="field_dim">0</value>
                <value name="field_opt">true</value>
                <value name="nillable">true</value>
                <value name="form_qualified">false</value>
                <value name="is_global">false</value>
              </record>
              <record javaclass="com.wm.util.Values">
                <value name="node_type">record</value>
                <value name="node_subtype">unknown</value>
                <value name="is_public">false</value>
                <value name="field_name">data</value>
                <value name="field_type">record</value>
                <value name="field_dim">0</value>
                <value name="field_opt">true</value>
                <value name="nillable">true</value>
                <value name="form_qualified">false</value>
                <value name="is_global">false</value>
                <array name="rec_fields" type="record" depth="1">
                </array>
                <value name="modifiable">true</value>
              </record>
              <record javaclass="com.wm.util.Values">
                <value name="node_type">unknown</value>
                <value name="node_subtype">unknown</value>
                <value name="node_comment"></value>
                <record name="node_hints" javaclass="com.wm.util.Values">
                  <value name="field_largerEditor">false</value>
                  <value name="field_password">false</value>
                </record>
                <value name="is_public">false</value>
                <value name="field_name">message</value>
                <value name="field_type">object</value>
                <value name="field_dim">0</value>
                <value name="field_opt">true</value>
                <value name="nillable">true</value>
                <value name="form_qualified">false</value>
                <value name="is_global">false</value>
              </record>
            </array>
            <value name="modifiable">true</value>
          </record>
        </array>
        <value name="modifiable">true</value>
      </record>
    </array>
    <value name="modifiable">true</value>
  </record>
</Values>
</MAPSOURCE>

  <!-- nodes -->

<MAPDELETE FIELD="/JMSMessage;2;0">
</MAPDELETE>

<MAPDELETE FIELD="/correlationID;1;0">
</MAPDELETE>

<MAPCOPY FROM="/JMSReplyMessage;2;0/body;2;0/data;2;0" TO="/data;2;0">
</MAPCOPY>
</MAP>
</INVOKE>
</SEQUENCE>

<SEQUENCE TIMEOUT="" EXIT-ON="FAILURE" FORM="CATCH">
  <COMMENT></COMMENT>

  <!-- nodes -->

<INVOKE TIMEOUT="" SERVICE="pub.flow:getLastError" VALIDATE-IN="$none" VALIDATE-OUT="$none">
  <COMMENT></COMMENT>
</INVOKE>
</SEQUENCE>
</FLOW>
